[docs-img]: https://img.shields.io/badge/docs-stable-blue.svg
[docs-url]: https://juliagizmos.github.io/WebIO.jl/stable/

# WebIO

| Build | Coverage | Docs |
|-------|----------|------|
| [![CI](https://github.com/JuliaGizmos/WebIO.jl/actions/workflows/tests.yml/badge.svg)](https://github.com/JuliaGizmos/WebIO.jl/actions/workflows/tests.yml) | [![codecov](https://codecov.io/gh/JuliaGizmos/WebIO.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/JuliaGizmos/WebIO.jl) | [![][docs-img]][docs-url]

WebIO provides a simple abstraction for displaying and interacting with web content. It works with:

- [Juno](http://junolab.org) - The hottest Julia IDE
- [IJulia](https://github.com/JuliaLang/IJulia.jl) - Jupyter notebooks for Julia
- [Blink](https://github.com/JunoLab/Blink.jl) - An [Electron](http://electron.atom.io/) wrapper to make desktop apps
- [Mux](https://github.com/JuliaWeb/Mux.jl) - A web server framework

People using WebIO
------------------

This is a non-comprehensive list of projects using WebIO.

+ [Interact.jl](https://github.com/JuliaGizmos/Interact.jl) - Interactive widgets to play with your Julia code
+ [MeshCat.jl](https://github.com/rdeits/MeshCat.jl) - WebGL-based 3D visualizer in Julia
+ [PlotlyJS.jl](https://github.com/sglyon/PlotlyJS.jl) - Julia library for plotting with plotly.js
+ [Julia Tetris](http://juliatetris.com)

Web Artifacts
[bundle.tar.gz](https://github.com/pankgeorg/WebIO.jl/files/8111257/bundle.tar.gz)
